Comment 2 for bug 402814

I think I'm affected by the same problem. When trying to branch pitivi:

jeff@testbed:~$ bzr branch git://git.pitivi.org/git/pitivi.git
Escaped 1 XML-invalid characters in ce745af077aeda4f8d22cae84d5b1f0baf8eb1b7. Will be unable to regenerate the SHA map.
bzr: ERROR: exceptions.NotImplementedError: <function import_git_submodule at 0xa803f7c>

Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/bzrlib/commands.py", line 835, in exception_to_return_code
    return the_callable(*args, **kwargs)
  File "/usr/lib/python2.6/dist-packages/bzrlib/commands.py", line 1030, in run_bzr
    ret = run(*run_argv)
  File "/usr/lib/python2.6/dist-packages/bzrlib/commands.py", line 647, in run_argv_aliases
    return self.run(**all_cmd_args)
  File "/usr/lib/python2.6/dist-packages/bzrlib/builtins.py", line 1245, in run
    source_branch=br_from)
  File "/usr/lib/python2.6/dist-packages/bzrlib/bzrdir.py", line 1177, in sprout
    result_repo.fetch(source_repository, fetch_spec=fetch_spec)
  File "/usr/lib/python2.6/dist-packages/bzrlib/repository.py", line 1544, in fetch
    find_ghosts=find_ghosts, fetch_spec=fetch_spec)
  File "/usr/lib/python2.6/dist-packages/bzrlib/plugins/git/fetch.py", line 378, in fetch
    mapping=mapping, fetch_spec=fetch_spec)
  File "/usr/lib/python2.6/dist-packages/bzrlib/plugins/git/fetch.py", line 403, in fetch_refs
    self.fetch_objects(determine_wants, mapping, pb)
  File "/usr/lib/python2.6/dist-packages/bzrlib/plugins/git/fetch.py", line 437, in fetch_objects
    store, recorded_wants, pb)
  File "/usr/lib/python2.6/dist-packages/bzrlib/plugins/git/fetch.py", line 335, in import_git_objects
    parent_invs, target_git_object_retriever._idmap, lookup_object)
  File "/usr/lib/python2.6/dist-packages/bzrlib/plugins/git/fetch.py", line 246, in import_git_tree
    file_id, revision_id, parent_invs, shagitmap, lookup_object)
  File "/usr/lib/python2.6/dist-packages/bzrlib/plugins/git/fetch.py", line 174, in import_git_submodule
    raise NotImplementedError(import_git_submodule)
NotImplementedError: <function import_git_submodule at 0xa803f7c>

bzr 1.17 on python 2.6.2 (linux2)
arguments: ['/usr/bin/bzr', 'branch', 'git://git.pitivi.org/git/pitivi.git', 'pitivi-bazaar']
encoding: 'UTF-8', fsenc: 'UTF-8', lang: 'fr_CA.UTF-8'
plugins:
  bzrtools /usr/lib/python2.6/dist-packages/bzrlib/plugins/bzrtools [1.17]
  dbus /usr/lib/python2.6/dist-packages/bzrlib/plugins/dbus [0.1dev]
  git /usr/lib/python2.6/dist-packages/bzrlib/plugins/git [0.4]
  gtk /usr/lib/python2.6/dist-packages/bzrlib/plugins/gtk [0.96.2.final]
  launchpad /usr/lib/python2.6/dist-packages/bzrlib/plugins/launchpad [1.17]
  netrc_credential_store /usr/lib/python2.6/dist-packages/bzrlib/plugins/netrc_credential_store [1.17]
  svn /usr/lib/python2.6/dist-packages/bzrlib/plugins/svn [0.6.3]

This is probably what is affecting https://code.launchpad.net/~vcs-imports/pitivi/trunk-git too, I presume.